Skip to main content
POST
/
ramp
/
customer
/
{customer_id}
/
bank-account
Create bank account (API key)
curl --request POST \
  --url https://api.etherfuse.com/ramp/customer/{customer_id}/bank-account \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account": {
    "transactionId": "123e4567-e89b-12d3-a456-426614174000",
    "firstName": "Juan",
    "paternalLastName": "García",
    "maternalLastName": "López",
    "birthDate": "19900101",
    "birthCountryIsoCode": "MX",
    "curp": "GALJ900101HDFRRN09",
    "rfc": "GALJ9001016V3",
    "clabe": "012345678901234567"
  },
  "skipAutoApproval": false,
  "label": "<string>",
  "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "bankAccountId": "123e4567-e89b-12d3-a456-426614174000",
  "customerId": "123e4567-e89b-12d3-a456-426614174001",
  "createdAt": "2024-01-01T00:00:00Z",
  "updatedAt": "2024-01-01T00:00:00Z",
  "abbrClabe": "1234...5678",
  "compliant": true,
  "status": "active"
}

Authorizations

Authorization
string
header
required

API key for authentication. Pass the key directly (e.g., Authorization: your-api-key). Do not use a Bearer prefix.

Path Parameters

customer_id
string<uuid>
required

ID of the customer to create the bank account for

Body

application/json
account
object
required

Bank account registration data. Accepts either Personal or Business format. The variant is auto-detected based on the fields present (untagged union).

Example:
{
"transactionId": "123e4567-e89b-12d3-a456-426614174000",
"firstName": "Juan",
"paternalLastName": "García",
"maternalLastName": "López",
"birthDate": "19900101",
"birthCountryIsoCode": "MX",
"curp": "GALJ900101HDFRRN09",
"rfc": "GALJ9001016V3",
"clabe": "012345678901234567"
}
skipAutoApproval
boolean
default:false

If true, skips automatic approval in sandbox/devnet environments

label
string | null

Optional label for the bank account

bankAccountId
string<uuid>

Optional UUID for the bank account. Auto-generated if omitted.

Response

Bank account created successfully

bankAccountId
string<uuid>

Unique identifier for the bank account. Must be a valid UUID v4.

customerId
string<uuid>

ID of the customer who owns this bank account

createdAt
string<date-time>

Timestamp when the bank account was created

updatedAt
string<date-time>

Timestamp when the bank account was last updated

deletedAt
string<date-time> | null

Timestamp when the bank account was deleted (if applicable)

abbrClabe
string

Abbreviated CLABE number for the bank account

etherfuseDepositClabe
string | null

Etherfuse deposit CLABE number

label
string | null

Custom label for the bank account

compliant
boolean

Whether the bank account is compliant. This is a derived value — true if the account has been explicitly marked compliant OR if the owning organization is approved (KYB'd).

status
enum<string>

Current status of the bank account

Available options:
pending,
awaitingDepositVerification,
active,
inactive